netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
at_var.h File Reference

Go to the source code of this file.

## Data Structures
struct | at_ifaddr

## Macros
#define | aa_ifp aa_ifa.ifa_ifp
#define | aa_addr aa_ifa.ifa_addr
#define | aa_broadaddr aa_ifa.ifa_broadaddr
#define | aa_dstaddr aa_ifa.ifa_dstaddr
#define | AA_SAT(aa)
#define | satosat(sa)
#define | AFA_ROUTE 0x0001
#define | AFA_PROBING 0x0002
#define | AFA_PHASE2 0x0004

## Macro Definition Documentation

## ◆ aa_addr

#define aa_addr aa_ifa.ifa_addr

## ◆ aa_broadaddr

#define aa_broadaddr aa_ifa.ifa_broadaddr

## ◆ aa_dstaddr

#define aa_dstaddr aa_ifa.ifa_dstaddr

## ◆ aa_ifp

#define aa_ifp aa_ifa.ifa_ifp

## ◆ AA_SAT

#define AA_SAT | ( |  | aa | ) |

Value:
((struct sockaddr_at *)&((struct at_ifaddr *)(aa))->aa_addr)
at_ifaddr
Definition at_var.h:14
sockaddr_at
Definition at.h:88

## ◆ AFA_PHASE2

#define AFA_PHASE2 0x0004

## ◆ AFA_PROBING

#define AFA_PROBING 0x0002

## ◆ AFA_ROUTE

#define AFA_ROUTE 0x0001

## ◆ satosat

#define satosat | ( |  | sa | ) |

Value:
((struct sockaddr_at *)(sa))
sa
static struct savedt sa
Definition appl.c:32